<script lang="ts">
	import { fade } from 'svelte/transition';
	import Noel from '../special/Noel.svelte';
	import { mediumScreen, smallScreen } from '../../utils/const';
	import { store_screenWidth } from '../../utils/store';

	let show = false;
</script>

<section
	class="relative flex md:flex-row xl:flex-col flex-col items-center justify-center overflow-hidden flex-none min-h-[70vh] px-2 md:px-8 pt-16 md:pt-32"
	style="background-image: url(/home_bg.webp) ; background-position: center center; background-size: cover;"
>
	<div class="w-full h-full absolute top-0 left-0" style="background-color: rgba(0, 0, 0, 0.7);" />

	<!-- <div class="absolute bg-black bg-opacity-40 w-full h-full top-0 left-0" /> -->
	<div
		class="flex flex-col justify-center items-center grow gap-4 w-full relative container mx-auto py-12 px-4 md:py-12 xl:py-20 md:text-4xl text-8xl rounded-3xl"
	>
		<div class="w-full flex flex-col gap-4 items-center text-center px-4">
			<!-- <div class="md:w-3/5 w-full flex flex-col gap-4 items-center text-center"> -->

			<div
				class="rounded-full flex flex-col lg:flex-row-reverse items-center justify-between w-full gap-2"
				style=""
			>
				{#if $store_screenWidth > mediumScreen}
					<img src="/MOSL.png" alt="fond_produit" class="w-60 bg-white opacity-75 rounded-xl" />
				{/if}
				<h2 class="text-3xl lg:text-5xl xl:leading-tight mb-4 text-center text-white">
					Madame Pain, le vrai goût du pain
				</h2>
				<div class="flex flex-row lg:flex-col items-center gap-4">
					<img
						src="/logo_nobg.png"
						alt="Logo madame pain"
						class="bg-white rounded-full h-32 lg:h-60 opacity-75 aspect-square"
						transition:fade
					/>
					{#if $store_screenWidth < mediumScreen}
						<img
							src="/MOSL.png"
							alt="fond_produit"
							class="w-32 lg:w-60 aspect-video bg-primary-100 opacity-75 rounded-xl"
						/>
					{/if}
				</div>
			</div>

			<p
				class="text-body md:text-body-lg text-xl md:text-2xl"
				style="color: rgb(255, 255, 255); scroll-behavior: smooth; font-family: var(--body-fontFamily); font-weight: var(--body-fontWeight);"
			>
				Madame Pain est un fournil de boulangerie à taille humaine qui préserve les gestes
				ancestraux, la nature et notre santé. À base de blés biologiques que notre paysan-meunier
				moud pour nous sur meules de pierres, pains et viennoiseries sont confectionnés chaque jour
				au fil des saisons.
			</p>
			<div class="flex flex-col gap-4 items-center">
				<a href="/metrouver" class="text-xl p-4 w-fit bg-[#ad5b58] text-white rounded-lg">
					Contacts
				</a>
				<!-- <button
					class="text-xl p-4 w-fit bg-[#bb2528] text-white rounded-lg flex items-center gap-2 hover:bg-[#c23236] transition-colors"
					on:click={() => (show = true)}
				>
					<iconify-icon
						class="text-white text-2xl animate-pulse"
						icon="mingcute:christmas-ball-line"
					/>
					Fetez Noël avec Madame Pain
					<iconify-icon
						class="text-white text-2xl animate-pulse"
						icon="mingcute:christmas-ball-line"
					/>
				</button> -->
			</div>
			<a href="/logo_circle.png" download />
		</div>
		<!-- <img
			alt="Logo madame pain"
			class="aspect-square w-60 h-60"
			src="https://scontent-cdg4-2.xx.fbcdn.net/v/t39.30808-6/311212785_3310862799152224_1690622293017066860_n.jpg?_nc_cat=100&ccb=1-7&_nc_sid=09cbfe&_nc_ohc=WaG1RhB4KL0AX-5pW2v&_nc_ht=scontent-cdg4-2.xx&oh=00_AfAPlvGU2_PdCdXBwec8UZdDinXf9WdHQqKwm6zJOqjt-w&oe=649C2F39"
		/> -->
	</div>
</section>

<section
	style="background-color: #222222;"
	class="text-white w-full md:py-8 md:px-4 flex flex-col justify-center items-center gap-4 text-lg"
>
	<div class="p-4 text-center flex flex-col gap-4">
		<p>
			Authenticité et gourmandise sont au rendez-vous grâce au goût unique du levain naturel, d’une
			fermentation lente et d’une cuisson au four à bois.
		</p>
		<p>
			Bienvenue au fournil de Madame Pain Pour toute commande, évènement ou renseignement, n’hésitez
			pas à nous joindre !
		</p>
	</div>
	<iframe
		class="aspect-video bg-black md:rounded-lg 2xl:w-1/3 md:w-1/2 w-full"
		src="https://www.youtube.com/embed/raytcqZsYjQ?controls=1&autoplay=1&mute=1&loop=1"
		title="Présentation du FOURNIL"
		frameborder="0"
		allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
		referrerpolicy="strict-origin-when-cross-origin"
		allowfullscreen
	/>
</section>

<!-- <Noel bind:show /> -->
